QGIS Application - Bug report #17881
Processing options is not showing all providers
2018-01-18 05:14 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25776
Description

As we can see on my screenshot:

- Providers from plugins are not shown in the Processing options but they are visible in the Toolbox. On my screenshot, it's missing
Buffer and QuickOSM.

- If I disable a provider from Processing options, it still displayed in the processing toolbox. On my screenshot, Saga and Grass are
disabled.

Associated revisions

Revision d7e18131 - 2018-01-23 09:00 AM - Alexander Bruy

[processing] make items hidden after adding them to the view (fix #17881)

History

#1 - 2018-01-23 07:54 AM - Alexander Bruy
- Assignee changed from Victor Olaya to Alexander Bruy
- Operating System deleted (macOS)

I haven't looked at the code of these providers, but I'm pretty sure that they simply does not have any settings. As result they are not listed in the
Processing options.

#2 - 2018-01-23 08:06 AM - Etienne Trimaille
- File Screen Shot 2018-01-23 at 10.01.24.png added

In QGIS 2, there is the checkbox “activate” for all providers, even if there isn't custom settings. So it's not the same behavior as in QGIS 3. See my new
screenshot for QGIS 2.

| will try to add a custom setting in my plugin to see if it's displayed in QGIS3.

#3 - 2018-01-23 08:17 AM - Alexander Bruy

There were lot of refactoring and API breaks in QGIS 3. | would not expect exact behaviour. You need to define settings.

#4 - 2018-01-23 09:00 AM - Alexander Bruy
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|d7e18131808c3a622e5597¢cdf5608a28136755¢e7.

#5 - 2018-02-21 09:50 PM - Giovanni Manghi
- Resolution set to fixed/implemented
